<template>
    <Cn-page :loading="loading">
        <view slot="body">
            <view class="index">
                <uni-card
                    title="设备信息"
                    sub-title="副标题"
                    v-for="item in 3"
                    :key="item"
                    thumbnail="/static/real_time_data.png"
                >
                    <view class="footer">
                        <text>设备基础信息 </text>
                        <view class="footer-btn" @click="del">移除</view>
                    </view>
                </uni-card>
                <uni-load-more status="nomore"></uni-load-more>
            </view>
        </view>
    </Cn-page>
</template>
<script>
export default {
    data() {
        return {
            loading: false,
        }
    },
    methods: {
        del() {
            uni.showModal({
                title: '提示',
                content: '确定要移除该设备权限吗？',
                success: function (res) {
                    if (res.confirm) {
                        console.log('用户点击确定')
                    } else if (res.cancel) {
                        console.log('用户点击取消')
                    }
                },
            })
        },
        newDevice() {
            uni.scanCode({
                onlyFromCamera: false,
                success: function (res) {
                    console.log('条码类型：' + res.scanType)
                    console.log('条码内容：' + res.result)
                    uni.navigateTo({
                        url: '/pages/gateway/newDevice',
                    })
                },
            })
        },
    },
}
</script>
<style lang="scss">
.index {
    .footer {
        display: flex;
        justify-content: space-between;
        align-items: center;

        .footer-btn {
            padding: 0 20rpx;
            height: 50rpx;
            background-color: #e47470;
            font-size: 24rpx;
            color: #fff;
            text-align: center;
            line-height: 50rpx;
            border-radius: 10rpx;
        }
    }
}
</style>
